import React, {Component, Fragment} from 'react';
import './overall.scss';
import {JFLoading} from "../../component/JFLoading/JFLoading";
import {observer,inject} from "mobx-react/index";
import {JFPageHeader} from "../../component/JFPageHeader/JFPageHeader";
import {JFContent, JFContentHeader} from "../../component/JFContent/JFContent";

@inject('overallStore', 'appStore')
@observer
class Overall extends Component {

    componentDidMount() {
        this.props.overallStore.init();
    }

    render() {
        let obj = {};
        let { overallStore, appStore } = this.props;
        return (
            <Fragment>
                <JFLoading loading={overallStore.loading} mask={true} />
                <div className={'ps-overall'}>
                    <JFPageHeader routes={[{ name:'总览' }]}/>
                    <JFContent>

                    </JFContent>
                </div>
            </Fragment>
        );
    }
}

export default Overall;
